events.listen('recipes', event => {

  // Plates

event.recipes.create.pressing('immersiveengineering:plate_copper', '#forge:ingots/copper')
event.recipes.create.pressing('immersiveengineering:plate_aluminum', '#forge:ingots/aluminum')
event.recipes.create.pressing('immersiveengineering:plate_lead', '#forge:ingots/lead')
event.recipes.create.pressing('immersiveengineering:plate_silver', '#forge:ingots/silver')
event.recipes.create.pressing('immersiveengineering:plate_nickel', '#forge:ingots/nickel')
event.recipes.create.pressing('immersiveengineering:plate_uranium', '#forge:ingots/uranium')
event.recipes.create.pressing('immersiveengineering:plate_constantan', '#forge:ingots/constantan')
event.recipes.create.pressing('immersiveengineering:plate_electrum', '#forge:ingots/electrum')
event.recipes.create.pressing('immersiveengineering:plate_steel', '#forge:ingots/steel')
event.recipes.create.pressing('immersiveengineering:plate_iron', '#forge:ingots/iron')
event.recipes.create.pressing('immersiveengineering:plate_gold', '#forge:ingots/gold')
event.recipes.create.pressing('ceramics:unfired_clay_plate', '#forge:clay')
event.recipes.create.pressing('kubejs:blank_token', 'kubejs:blank_ore')
event.recipes.create.pressing('cyclic:mob_container', 'kubejs:blank_token')
event.recipes.create.pressing('extendedcrafting:black_iron_slate', 'extendedcrafting:black_iron_ingot')
event.recipes.create.pressing('woodenutilities:wooden_plate', '#minecraft:planks')

 //Filling

event.recipes.create.filling({"ingredients": [{"tag": "minecraft:planks"},
{"fluid": "immersiveengineering:creosote",
"nbt": {},
"amount": 100
}],
"results": [{"item": "immersiveengineering:treated_wood_horizontal"}]
})

event.recipes.create.filling({"ingredients": [{"tag": "minecraft:planks"},
{"fluid": "thermal:creosote",
"nbt": {},
"amount": 100
}],
  "results": [{"item": "immersiveengineering:treated_wood_horizontal"}]
})


  // Mixing

  event.recipes.create.mixing('powah:uraninite_ore_poor', [
    'kubejs:blank_ore',
    '#forge:nuggets/uranium',
    '#forge:nuggets/uranium',
    '#forge:nuggets/uranium',
    '#forge:nuggets/uranium',
    '#forge:nuggets/uranium',
    '#forge:nuggets/uranium',
    '#forge:nuggets/uranium',
    '#forge:nuggets/uranium',
    '#forge:nuggets/uranium'
  ]).heated()

  event.recipes.create.mixing('2x fluxnetworks:flux_dust', [
    '#forge:dusts/obsidian',
    '#forge:dusts/redstone',
    '#forge:dusts/ender_pearl',
    '#forge:dusts/coal',
    'minecraft:blaze_powder',
    'kubejs:dust'
  ])

  event.recipes.create.mixing('extendedcrafting:luminessence', [
    '#forge:dusts/glowstone',
    '#forge:dusts/redstone',
    '#forge:dusts/emerald',
    '#forge:dusts/apatite',
    'kubejs:dust',
    '#forge:dusts/gold',
    '#forge:dusts/biotite',
    '#forge:dusts/lapis',
    '#forge:dusts/ender_pearl'
  ])

  event.recipes.create.mixing('kubejs:dimensional_dungeon_token', [
    'dimdungeons:block_gilded_portal',
    'dimdungeons:block_gilded_portal',
    'dimdungeons:block_gilded_portal',
    'dimdungeons:block_gilded_portal',
    'minecraft:bread',
    'minecraft:bread',
    'kubejs:blank_token',
    'minecraft:enchanted_book',
    'minecraft:lava_bucket'
  ])

  event.recipes.create.mixing('kubejs:honey_token', [
    'minecraft:honeycomb_block',
    'minecraft:honeycomb_block',
    'minecraft:honeycomb_block',
    'minecraft:honeycomb_block',
    'cyclic:apple_honey',
    'cyclic:apple_honey',
    'kubejs:blank_token',
    'minecraft:honey_bottle',
    'solarcooker:shining_diamond_block'
  ])

event.recipes.create.mixing('kubejs:nether_token', [
  'minecraft:nether_bricks',
  'minecraft:nether_bricks',
  'minecraft:nether_bricks',
  'minecraft:nether_bricks',
  'rats:nether_cheese',
  'rats:nether_cheese',
  'kubejs:blank_token',
  Item.of('minecraft:potion', {Potion:"minecraft:long_fire_resistance"}),
  'thermal:light_oil_bucket'
])

event.recipes.create.mixing('kubejs:end_token', [
  'minecraft:end_stone',
  'minecraft:end_stone',
  'minecraft:end_stone',
  'minecraft:end_stone',
  'minecraft:chorus_fruit',
  'minecraft:chorus_fruit',
  'kubejs:blank_token',
  'thermal:enderium_ingot',
  'kubejs:end_enriching_fluid_bucket'
])

event.recipes.create.mixing('kubejs:coal_dust', [
  'minecraft:charcoal',
  '#forge:dusts/sulfur'
])

event.recipes.create.mixing((fluid.of('minecraft:lava', 50)), [
  '#forge:cobblestone'
])

// Milling

event.recipes.create.milling(Item.of('kubejs:dust', 2), 'minecraft:flint').processingTime(200)
event.recipes.create.milling(Item.of('minecraft:magma_cream', 2), 'minecraft:magma_block').processingTime(200)

//Mechanical Crafter

event.recipes.create.mechanical_crafting(Item.of('mekanism:steel_casing', 2),[
  ' SGS ',
  'SBTBS',
  'GTMTG',
  'SBTBS',
  ' SGS '
], {
  S: '#forge:ingots/steel',
  G: '#forge:glass/colorless',
  B: 'mekanism:basic_universal_cable',
  T: 'thermal:machine_frame',
  M: 'refinedstorage:machine_casing'
})

})